SoulFire LogoSoulFire

Get client data

Retrieves comprehensive data about the authenticated client and the server. Returns user profile information, granted permissions, and server metadata.

GET
/v1/client

Retrieves comprehensive data about the authenticated client and the server. Returns user profile information, granted permissions, and server metadata.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/client"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "username": "string",  "role": "ADMIN",  "email": "user@example.com",  "serverPermissions": [    {      "globalPermission": "CREATE_INSTANCE",      "granted": true    }  ],  "serverInfo": {    "version": "string",    "commitHash": "string",    "branchName": "string",    "publicApiAddress": "http://example.com",    "publicWebdavAddress": "http://example.com",    "publicDocsAddress": "http://example.com",    "publicMcpAddress": "http://example.com",    "minecraftVersion": "string"  }}

How is this page?